﻿
local screenW, screenH = guiGetScreenSize()
local resW, resH = 1360,768
local x, y = (screenW/resW), (screenH/resH) 

function convertNumber ( number )   
    local formatted = number   
    while true do       
        formatted, k = string.gsub(formatted, "^(-?%d+)(%d%d%d)", '%1,%2')     
        if ( k==0 ) then       
            break   
        end   
    end   
    return formatted 
end



function MrKaikiSCR_Hud ( )
    --if getElementData ( localPlayer, "AirNewSCR_Logado" ) == "Sim" then
	
	    local Nivel = getElementData ( localPlayer, "Level" ) or 0
	    local Dinheiro_Mao = getPlayerMoney ( localPlayer ) or 0
		if Dinheiro_Mao > 0 then
		    Dinheiro_Mao = convertNumber ( Dinheiro_Mao )
		else
		    Dinheiro_Mao = Dinheiro_Mao
		end
	
		setElementData ( localPlayer, "Dinheiro na Mão", "$"..Dinheiro_Mao.."" )
	    local Dinheiro_Banco = getElementData ( localPlayer, "HypeSCR_Banco_Saldo" ) or 0
		if Dinheiro_Banco > 0 then
		    Dinheiro_Banco = convertNumber ( Dinheiro_Banco )
		else
		    Dinheiro_Banco = Dinheiro_Banco
		end
		setElementData ( localPlayer, "Dinheiro no Banco", "$"..Dinheiro_Banco.."" )
	    local EXP = getElementData ( localPlayer, "LSys:EXP" ) or 0
	    local Relogio = getElementData ( localPlayer, "Hype:RelogioUP" ) or 0
	    
	    local HypeSCR_Fome = getElementData ( localPlayer, "hunger" ) or 0
        local HypeSCR_Sede = getElementData ( localPlayer, "sede" ) or 0
		
		if HypeSCR_Fome > 0 then
		    HypeSCR_Fome = math.floor ( HypeSCR_Fome )
		else
		    HypeSCR_Fome = 0
		end
		
		if HypeSCR_Sede > 0 then
		    HypeSCR_Sede = math.floor ( HypeSCR_Sede )
		else
		    HypeSCR_Sede = 0
		end
	
	    
        local time = getRealTime()
        local hours = time.hour
        local minutes = time.minute
        local seconds = time.second

        if (hours >= 0 and hours < 10) then
            hours = "0"..time.hour
        end
        if (minutes >= 0 and minutes < 10) then
        	minutes = "0"..time.minute
        end
        if (seconds >= 0 and seconds < 10) then
        	seconds = "0"..time.second
        end
		
		local Vida = math.floor ( getElementHealth ( localPlayer ) )
		local Colete = math.floor ( getPedArmor ( localPlayer ) )
		local meses = {"Janeiro", "Fevereiro", "Março", "Abril", "Maio", "Junho", "Julho", "Agosto", "Setembro", "Outubro", "Novembro", "Dezembro"}
        local dias = {"Domingo", "Segunda Feira", "Terça Feira", "Quarta Feira", "Quinta Feira", "Sexta Feira", "Sabado"}
        local dia = ("%02d"):format(time.monthday)
        local ano = ("%02d"):format(time.year + 1900)
        local diaa = dias[time.weekday + 1]
        local mes = meses[time.month + 1]
		
		
		--if getElementData ( localPlayer, "Download_Finalizado" ) == "Sim" then
			local ID_CONTA = getElementData ( localPlayer, "ID_Conta" ) or 1
			local Nome_Completo = getElementData ( localPlayer, "Hype_RG_NomeCompleto" ) or "Desconhecido"
			local EXP = getElementData ( localPlayer, "LSys:EXP" ) or 0
			--dxDrawText("Nick: "..NAME.." / ID: "..ID_CONTA.."\nVida: "..Vida.."% / Colete: "..Colete.."%\n  ", x*1094, y*590, x*1366, y*770, tocolor(255, 254, 254, 108), x*1.00, "default", "right", "bottom", false, false, false, false, false)
	    --end
	    exports["[KSCR]Blur"]:dxDrawBluredRectangle(screenW * 0.7328, screenH * 0.0195, screenW * 0.2599, screenH * 0.2135, tocolor(255, 255, 255, 255), false)
		
		dxDrawRectangle(screenW * 0.7328, screenH * 0.0195, screenW * 0.2599, screenH * 0.2135, tocolor(0, 0, 0, 63), false)
        dxDrawImage(screenW * 0.7430, screenH * 0.0651, screenW * 0.2379, screenH * 0.0404, "imgs/botao.png", 0, 0, 0, tocolor(0, 0, 0, 92), false)
		dxDrawImage(screenW * 0.7430, screenH * 0.0651, screenW * 0.2379*EXP, screenH * 0.0404, "imgs/botao.png", 0, 0, 0, tocolor(225, 115, 0, 181), false)
        dxDrawText("("..ID_CONTA..")"..Nome_Completo, screenW * 0.8097, screenH * 0.0260, screenW * 0.9209, screenH * 0.0651, tocolor(255, 255, 255, 255), 1.30, "arial", "center", "center", false, false, false, true, false)
        dxDrawText("EXP:"..EXP.."/6", screenW * 0.8023, screenH * 0.0677, screenW * 0.8433, screenH * 0.1055, tocolor(255, 255, 255, 255), 1.20, "arial", "center", "center", false, false, false, false, false)
        dxDrawText(Nivel, screenW * 0.8690, screenH * 0.0677, screenW * 0.9100, screenH * 0.1055, tocolor(255, 255, 255, 255), 1.20, "arial", "center", "center", false, false, false, false, false)
        dxDrawImage(screenW * 0.7504, screenH * 0.1120, screenW * 0.0234, screenH * 0.0365, "imgs/hunger_bg.png", 0, 0, 0, tocolor(224, 116, 0, 181), false)
        dxDrawText(math.floor(HypeSCR_Fome).."%", screenW * 0.7760, screenH * 0.1146, screenW * 0.8053, screenH * 0.1484, tocolor(255, 255, 255, 255), 0.70, "pricedown", "center", "center", false, false, false, false, false)
        dxDrawImage(screenW * 0.8097, screenH * 0.1120, screenW * 0.0212, screenH * 0.0365, "imgs/garrafa.png", 0, 0, 0, tocolor(28, 134, 195, 255), false)
        dxDrawText(math.floor(HypeSCR_Sede).."%", screenW * 0.8360, screenH * 0.1146, screenW * 0.8653, screenH * 0.1484, tocolor(255, 255, 255, 255), 0.70, "pricedown", "center", "center", false, false, false, false, false)
        dxDrawImage(screenW * 0.8719, screenH * 0.1120, screenW * 0.0220, screenH * 0.0365, "imgs/hp_bg.png", 0, 0, 0, tocolor(223, 0, 0, 178), false)
        dxDrawText(Vida.."%", screenW * 0.8975, screenH * 0.1146, screenW * 0.9268, screenH * 0.1484, tocolor(255, 255, 255, 255), 0.70, "pricedown", "center", "center", false, false, false, false, false)
        dxDrawImage(screenW * 0.9312, screenH * 0.1120, screenW * 0.0176, screenH * 0.0365, "imgs/armor_bg.png", 0, 0, 0, tocolor(62, 62, 62, 255), false)
        dxDrawText(Colete.."%", screenW * 0.9517, screenH * 0.1146, screenW * 0.9810, screenH * 0.1484, tocolor(255, 255, 255, 255), 0.70, "pricedown", "center", "center", false, false, false, false, false)
        dxDrawImage(screenW * 0.7526, screenH * 0.1549, screenW * 0.0234, screenH * 0.0404, "imgs/Carteira.png", 0, 0, 0, tocolor(37, 136, 229, 255), false)
        dxDrawText(Dinheiro_Mao, screenW * 0.7796, screenH * 0.1549, screenW * 0.8653, screenH * 0.1940, tocolor(177, 254, 169, 147), 0.80, "pricedown", "left", "center", false, false, false, false, false)
        dxDrawImage(screenW * 0.8719, screenH * 0.1549, screenW * 0.0234, screenH * 0.0391, "imgs/Cartao.png", 0, 0, 0, tocolor(253, 23, 23, 226), false)
        dxDrawText(Dinheiro_Banco, screenW * 0.8997, screenH * 0.1549, screenW * 0.9854, screenH * 0.1940, tocolor(58, 123, 254, 168), 0.80, "pricedown", "left", "center", false, false, false, false, false)
        dxDrawText("Horas:"..hours..":"..minutes.." Data: "..diaa.."/"..dia.."/"..mes.."/"..ano.."", screenW * 0.8089, screenH * 0.1953, screenW * 0.9195, screenH * 0.2331, tocolor(255, 255, 255, 255), 1.00, "arial", "center", "center", false, false, false, false, false)
		
		--local Emprego = getElementData ( localPlayer, "Emprego" ) or "Desempregado"
	
	--end
end
addEventHandler ( "onClientRender", getRootElement ( ), MrKaikiSCR_Hud )

function toggleRadar ( )
	if isVisible then
		addEventHandler("onClientRender", root, MrKaikiSCR_Hud )
	else
		removeEventHandler("onClientRender", root, MrKaikiSCR_Hud )
	end
	isVisible = not isVisible
end
bindKey ("F11", "down", toggleRadar )

local hudTable = {
	"ammo",
	"armour",
	"clock",
	"health",
	"money",
	"weapon",
	"wanted",
	"area_name",
	"vehicle_name",
	"breath",
	"clock"
}

addEventHandler("onClientResourceStart", resourceRoot,
    function()
	    for id, hudComponents in ipairs(hudTable) do
	        setPlayerHudComponentVisible(hudComponents, false)
	    end
    end
)

addEventHandler("onClientResourceStop", resourceRoot,
    function()
	    for id, hudComponents in ipairs(hudTable) do
		    setPlayerHudComponentVisible(hudComponents, true)
	    end
    end
)